%include %{_rpmconfigdir}/macros.python2

Name: python2-pycurl
Version: 7.43.0
Release: 1
License: LGPL+MIT
Summary: A Python Interface To The cURL library
Url: http://pycurl.io/
Source: https://files.pythonhosted.org/packages/12/3f/557356b60d8e59a1cce62ffc07ecc03e4f8a202c86adae34d895826281fb/pycurl-7.43.0.tar.gz

BuildRequires: python2-devel
BuildRequires: python2-pip
BuildRequires: curl-devel

BuildRequires: zlib-devel
BuildRequires: openssl-devel < 1.1.0

%description
PycURL is a Python interface to libcurl, the multiprotocol file transfer library. Similarly to the urllib Python module, PycURL can be used to fetch objects identified by a URL from a Python program. Beyond simple fetches however PycURL exposes most of the functionality of libcurl, including:

    Speed - libcurl is very fast and PycURL, being a thin wrapper above libcurl, is very fast as well. PycURL was benchmarked to be several times faster than requests.
    Features including multiple protocol support, SSL, authentication and proxy options. PycURL supports most of libcurl’s callbacks.
    Multi and share interfaces.
    Sockets used for network operations, permitting integration of PycURL into the application’s I/O loop (e.g., using Tornado).


%install
pip%{py_ver} install -I --no-index --no-deps --no-compile --root %{buildroot} %{SOURCE0}

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/*

%{_docdir}/pycurl

%changelog
